从指定项目中返回一个集群的所有快照。
- 项目只读
路径参数
-
用于标识项目的唯一 24-十六进制数字字符串。 使用 /groups 端点检索身份验证的用户有权访问权限的所有项目。
注意:群组和项目是同义词。您的群组 ID 与项目 ID 相同。对于现有群组,群组/项目 ID 保持不变。资源和相应的端点使用“群组”一词。
格式应符合以下模式:
^([a-f0-9]{24})$。 -
用于标识集群的人类可读标签。
格式应符合以下模式:
^[a-zA-Z0-9][a-zA-Z0-9-]*$。
查询参数
-
指示应用程序是否将响应包装在
envelopeJSON 对象中的标志。某些 API 客户端无法访问 HTTP 响应标头或状态代码。要修复此问题,请在查询中设置 Envelope=true。返回结果列表的端点将结果对象用作 envelope。应用程序将状态参数添加到响应正文中。默认值为
false。 -
指示响应是否返回响应中的列项总数 (
totalCount) 的标志。默认值为
true。 -
响应每页返回的列项数。
最小值为
1,最大值为500。默认值为100。 -
显示响应返回的当前总对象集的页面编号。
最小值为
1。默认值为1。 -
指示响应正文是否应采用 prettyprint 格式的标记。
默认值为
false。Prettyprint -
所需的时间点,表示为自 UNIX 纪元以来经过的秒数。如果指定,则返回该时间点之前创建的最近的快照。与
oplogTs和oplogInc互斥。 -
表示所需点的 Oplog 时间戳。这是 Oplog 时间戳的第一部分。必须与
oplogInc一起使用。与pointInTimeUtcSeconds互斥。 -
表示所需时间点的 Oplog 操作编号。这是 Oplog 时间戳的第二部分。必须与
oplogTs一起使用。与pointInTimeUtcSeconds互斥。
curl \
--request GET 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/clusters/{clusterName}/backup/snapshots' \
--header "Authorization: Bearer $ACCESS_TOKEN"
{
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"results": [
{
"cloudProvider": "AWS",
"copyRegions": [
"string"
],
"createdAt": "2026-05-04T09:42:00Z",
"description": "string",
"expiresAt": "2026-05-04T09:42:00Z",
"frequencyType": "hourly",
"id": "32b6e34b3d91647abb20e7b8",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"masterKeyUUID": "string",
"mongodVersion": "string",
"policyItems": [
"32b6e34b3d91647abb20e7b8"
],
"replicaSetName": "string",
"snapshotType": "onDemand",
"status": "queued",
"storageSizeBytes": 42,
"type": "replicaSet"
}
],
"totalCount": 42
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}